import { datePickerConfig, datePickerRangeConfig, component, mergeConfig, createConditionalComponent } from '@salutejs/plasma-new-hope/emotion';
import { config } from './DatePicker.config';
import { config as configClear } from './DatePicker.clear.config';
var mergedConfigDefault = mergeConfig(datePickerConfig, config);
export var DatePickerDefault = component(mergedConfigDefault);
var mergedConfigClear = mergeConfig(datePickerConfig, configClear);
export var DatePickerClear = component(mergedConfigClear);
export var DatePicker = createConditionalComponent({
    default: DatePickerDefault,
    clear: DatePickerClear
});
var mergedRangeConfigDefault = mergeConfig(datePickerRangeConfig, config);
export var DatePickerRangeDefault = component(mergedRangeConfigDefault);
var mergedRangeConfigClea = mergeConfig(datePickerRangeConfig, configClear);
export var DatePickerRangeClear = component(mergedRangeConfigClea);
export var DatePickerRange = createConditionalComponent({
    default: DatePickerRangeDefault,
    clear: DatePickerRangeClear
});
